Skip to main content
GET
/
wallets
/
{address}
Get Wallet
curl --request GET \
  --url https://api.caminotreasury.com/v1/wallets/{address} \
  --header 'x-api-key: <api-key>'
{
  "id": 123,
  "address": "<string>",
  "label": "<string>",
  "type": "internal",
  "owner": "<string>",
  "organizationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "teamId": "<string>",
  "privyWalletId": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

address
string
required

Ethereum wallet address

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Wallet details

id
integer
required
address
string
required
label
string
required
type
enum<string>
required
Available options:
internal,
external
owner
string
required
organizationId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
teamId
string | null
privyWalletId
string | null